scala.tools.nsc.reporters

# Reporter

#### abstract class Reporter extends AnyRef

This interface provides methods to issue information, warning and error messages.

Linear Supertypes
AnyRef, Any
Known Subclasses
AbstractReporter, ConsoleReporter, InteractiveReporter, ReplReporter, StoreReporter
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Reporter
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Reporter()

### Type Members

1. #### class Severity extends severity.Value

### Abstract Value Members

1. #### abstract def info0(pos: Position, msg: String, severity: Severity, force: Boolean): Unit

   Attributes
     protected

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Reporter to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (Reporter, B)

   Implicit information
     This member is added by an implicit conversion from Reporter to ArrowAssoc[Reporter] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

8. #### val ERROR: Severity

9. #### val INFO: Severity

10. #### val WARNING: Severity

11. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

12. #### var cancelled: Boolean

13. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

14. #### def comment(pos: Position, msg: String): Unit

15. #### def echo(pos: Position, msg: String): Unit

16. #### def echo(msg: String): Unit

    For sending a message which should not be labeled as a warning/error, but also shouldn't require -verbose to be visible.

17. #### def ensuring(cond: (Reporter) ⇒ Boolean, msg: ⇒ Any): Reporter

    Implicit information
      This member is added by an implicit conversion from Reporter to Ensuring[Reporter] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### def ensuring(cond: (Reporter) ⇒ Boolean): Reporter

    Implicit information
      This member is added by an implicit conversion from Reporter to Ensuring[Reporter] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

19. #### def ensuring(cond: Boolean, msg: ⇒ Any): Reporter

    Implicit information
      This member is added by an implicit conversion from Reporter to Ensuring[Reporter] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

20. #### def ensuring(cond: Boolean): Reporter

    Implicit information
      This member is added by an implicit conversion from Reporter to Ensuring[Reporter] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

21. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

23. #### def error(pos: Position, msg: String): Unit

24. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

25. #### def flush(): Unit

26. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Reporter to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

27. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

28. #### def hasErrors: Boolean

29. #### def hasWarnings: Boolean

30. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

31. #### def incompleteHandled: Boolean

32. #### def incompleteInputError(pos: Position, msg: String): Unit

33. #### def info(pos: Position, msg: String, force: Boolean): Unit

    Informational messages, suppressed unless -verbose or force=true.

34. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

35. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

36. #### final def notify(): Unit

    Definition Classes
      AnyRef

37. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

38. #### def reset(): Unit

39. #### object severity extends Enumeration

40. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

41. #### def toString(): String

    Definition Classes
      AnyRef → Any

42. #### def truncationOK: Boolean

43. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

44. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

45. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

46. #### def warning(pos: Position, msg: String): Unit

    Warnings and errors.

47. #### def withIncompleteHandler[T](handler: (Position, String) ⇒ Unit)(thunk: ⇒ T): T

48. #### def withoutTruncating[T](body: ⇒ T): T

49. #### def →[B](y: B): (Reporter, B)

    Implicit information
      This member is added by an implicit conversion from Reporter to ArrowAssoc[Reporter] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from Reporter to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (reporter: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from Reporter to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (reporter: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def countAsString(n: Int): String

   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Moved to scala.reflect.internal.util.StringOps

2. #### def countElementsAsString(n: Int, elements: String): String

   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Moved to scala.reflect.internal.util.StringOps

3. #### def x: Reporter

   Implicit information
     This member is added by an implicit conversion from Reporter to ArrowAssoc[Reporter] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (reporter: ArrowAssoc[Reporter]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

4. #### def x: Reporter

   Implicit information
     This member is added by an implicit conversion from Reporter to Ensuring[Reporter] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (reporter: Ensuring[Reporter]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Reporter to StringAdd

### Inherited by implicit conversion any2stringfmt from Reporter to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from Reporter to ArrowAssoc[Reporter]

### Inherited by implicit conversion any2Ensuring from Reporter to Ensuring[Reporter]

### Ungrouped